#!/bin/sh

TOPDIR=$(realpath $(dirname $0)/..)
export GNUPGHOME=${TOPDIR}/gnupg-keyring

usage() {
    echo "Usage:"
    echo "  $0 [options] file..."
    echo "Options:"
    echo "  -h"
    echo "     Show this help message."
    echo "  -o"
    echo "     write signatue to file"
    echo""
}


SIGNATURE=

while getopts ":h:o:" option; do
    case $option in
        h)
            usage
            exit 0
            ;;
        o)
            SIGNATURE=$OPTARG
            ;;
        *)
            usage
            exit 1
            ;;
    esac
done

FILE=$1
if [ -z "$SIGNATURE" ]; then
    SIGNATURE=$(dirname "$FILE")/$(basename "${FILE%.*}").gpg
fi

gpg2 -a --output "$SIGNATURE" -sb $FILE
